#!/usr/bin/env fish

set -l query (echo username\npassword\ncode | fuzzel --prompt="> " --dmenu)

set -l selected (rbw list | fuzzel --prompt="$query: " --dmenu)
if test -z "$selected"
    return 1
end

set -l output
if test "$query" = code
    set output (rbw code "$selected")
else
    set output (rbw get "$selected" --raw | jq --join-output ".data.$query")
end

wl-copy $output
